#ifndef MAIN_H
#define MAIN_H

#include <ktmainwindow.h>

class Interface;
class GPieceInfo;

class MainWidget : public KTMainWindow
{
 Q_OBJECT

 public:
    MainWidget();
	~MainWidget();

 private slots:
    void showHighScores();
	void toggleMenubar();
	void print();

 protected:
	bool eventFilter(QObject *, QEvent *);
	
 private:
	Interface     *inter;
	GPieceInfo    *pieceInfo;

	void readSettings();
};

int generic_main(int argc, char **argv, const char *name,
				 const char *trName, const char *description, bool catalog);
GPieceInfo *createPieceInfo();

#endif // MAIN_H
